# Обладнання: методи API Bimp

URL: https://bimpsoft.com/help/developers/api-reference/machinery/

Методи API Bimp для ресурсу «Обладнання» (`/org2/machinery/…`): 1 метод. Базова адреса: `https://app.bimpsoft.com`. Усі запити, крім входу, передають токен компанії в заголовку `access-token` — див. [Початок роботи з API](/help/developers/api-getting-started/).

| Метод | Що робить |
|---|---|
| [`POST /org2/machinery/api-readList`](#api-read-list) | A request to view a list of machinery |

## api-readList

`POST /org2/machinery/api-readList`

A request to view a list of machinery

**Тіло запиту (JSON)**

| Поле | Тип | Обов'язкове | Опис |
|---|---|---|---|
| `showArchive` | boolean |  | Do you need to show archived records? |
| `name` | string |  | Machinery name |
| `model` | string |  | Machinery model |
| `yearOfManufacture` | string |  | The year in the format 'YYYY' (e.g., '2025') |
| `acceptanceDate` | string |  | The document's date in the format 'YYYY-MM-DDTHH:MM:SS' (e.g., '2025-05-16T09:17:49') |
| `serialNumber` | string |  | Serial number of machinery |
| `counterparty` | object[] |  |  |
| `counterparty[].GUID` | string (uuid) | так | A unique identifier for a counterparty of type 'isCustomer'.You can retrieve this UUID using the /counterparty/api-readList request |
| `pagination` | object | так |  |
| `pagination.offset` | integer | так |  |
| `pagination.count` | integer | так |  |

**Відповідь: поле `data`**

| Поле | Тип | Опис |
|---|---|---|
| `rows` | object[] |  |
| `rows[].uuid` | string |  |
| `rows[].name` | string |  |
| `rows[].acceptanceDate` | string |  |
| `rows[].archive` | boolean |  |
| `rows[].yearOfManufacture` | string |  |
| `rows[].model` | string |  |
| `rows[].serialNumber` | string |  |
| `rows[].warrantyPeriod` | number |  |
| `rows[].referenceType` | string |  |
| `total` | number |  |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/machinery/api-readList' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":1,"count":1}}'
```

Інтерактивна документація з можливістю надіслати тестовий запит: [https://app.bimpsoft.com/docs](https://app.bimpsoft.com/docs). Специфікація OpenAPI оновлюється разом із Bimp; ця сторінка згенерована з неї автоматично.
